=== requirements.txt ===
requests>=2.4.2
future
pyyaml
jsonlines
beautifulsoup4
