## python-cloudflare 2.0.4

=== debian/changelog ===
python-cloudflare (2.0.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 23 Jun 2018 19:24:43 -0400

python-cloudflare (2.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #888799)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 Feb 2018 20:42:56 -0500
