## python-cloudflare 2.1.0

=== debian/changelog ===
python-cloudflare (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh quilt patch to remove cli-only dependency, fix fuzz.
  * Bump S-V; no changes necessary.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 24 Jun 2018 14:06:18 -0400
