=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	       python3-future,
 	       python3-setuptools,
 	       python3-yaml
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/python-team/modules/cloudflare
 Vcs-Git: https://salsa.debian.org/python-team/modules/cloudflare.git
 Homepage: https://github.com/cloudflare/python-cloudflare
