=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = cloudflare

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples
	chmod -x $(CURDIR)/debian/python3-cloudflare/usr/share/doc/python3-cloudflare/examples/*
