## python-cloudflare 2.8.8

=== debian/changelog ===
python-cloudflare (2.8.8-1) unstable; urgency=medium

  * Switch to new upstream signing key
  * New upstream version 2.8.8
  * Add new dep on beautifulsoup4; drop dep on future
  * Bump dh-compat to 13.
  * Refresh patch

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 26 Jul 2020 17:40:31 -0400

python-cloudflare (2.6.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Harlan Lieberman-Berg ]
  * Switch to new upstream signing key
  * New upstream version 2.8.8
  * Add new dep on beautifulsoup4; drop dep on future
  * Bump dh-compat to 13.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 26 Jul 2020 17:30:29 -0400

python-cloudflare (2.6.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Harlan Lieberman-Berg ]
  * New upstream version 2.6.5
  * Switch to debhelper 12
  * Update S-V to 4.5, add R-R-R
  * Update emails from lists.alioth.debian.org to tracker.debian.org
    (Closes: #899295)
  * Add manual smoke test.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 14 Apr 2020 00:51:30 -0400
