=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: python-cloudflare
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
-	   Debian Let's Encrypt Team <letsencrypt-devel@lists.alioth.debian.org>
+	   Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
 	       dh-python,
 	       python3,
+	       python3-bs4,
 	       python3-requests,
-	       python3-future,
 	       python3-setuptools,
 	       python3-yaml
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/cloudflare
 Vcs-Git: https://salsa.debian.org/python-team/modules/cloudflare.git
 Homepage: https://github.com/cloudflare/python-cloudflare
+Rules-Requires-Root: no
 
 Package: python3-cloudflare
 Architecture: all
