## python-cloudflare 2.8.14

=== debian/changelog ===
python-cloudflare (2.8.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Harlan Lieberman-Berg ]
  * New upstream version 2.8.14
  * Bump S-V; no changes needed
  * Bump d/watch to v4

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 05 Dec 2020 23:05:50 -0500
