=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 	       python3-requests,
 	       python3-setuptools,
 	       python3-yaml
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/cloudflare
-Vcs-Git: https://salsa.debian.org/python-team/modules/cloudflare.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/cloudflare
+Vcs-Git: https://salsa.debian.org/python-team/packages/cloudflare.git
 Homepage: https://github.com/cloudflare/python-cloudflare
 Rules-Requires-Root: no
