=== debian/tests/control ===
# Smoke test by hand, since the  autotest gets confused by the package
# having capitals in it
Test-Command: python3 -c 'import CloudFlare; print(CloudFlare)'
Restrictions: superficial
Features: test-name=smoke
