## python-cloudflare 2.11.1

=== debian/changelog ===
python-cloudflare (2.11.1-2) unstable; urgency=medium

  * Team Upload.
  * d/tests/avoid_syntax_warning_in_regex.patch: Add patch to fix a syntax
    warning in a regex expresion (Closes: #1061824).
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.1; no further changes
    needed).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 01 Jul 2024 08:42:32 -0300

python-cloudflare (2.11.1-1) unstable; urgency=medium

  * Update d/watch to use github API
  * New upstream version 2.11.1

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 17 Dec 2022 14:25:22 -0500

python-cloudflare (2.10.3-1) unstable; urgency=medium

  * New upstream version 2.10.3
  * Refresh patches.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 04 Nov 2022 23:49:54 -0400

python-cloudflare (2.10.2-1) unstable; urgency=medium

  * Switch back to old signing key
  * New upstream version 2.10.2
  * Refresh patches
  * Add test for getting CF IPs, post-build only
  * Use python3 for examples
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 23 Oct 2022 00:18:07 -0400

python-cloudflare (2.8.14-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update Maintainer to Debian Python Team.
  * Rename Salsa Vcs Repo to match source package name.

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Aug 2021 00:42:06 -0400
