=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-cloudflare
-Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
 	   Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
 Section: python
@@ -11,9 +11,9 @@
 	       python3-requests,
 	       python3-setuptools,
 	       python3-yaml
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/python-team/packages/cloudflare
-Vcs-Git: https://salsa.debian.org/python-team/packages/cloudflare.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cloudflare
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-cloudflare.git
 Homepage: https://github.com/cloudflare/python-cloudflare
 Rules-Requires-Root: no
