=== debian/watch ===
version=4
opts=searchmode=plain,pgpsigurlmangle=s/$/.asc/ \
https://api.github.com/repos/cloudflare/python-cloudflare/releases \
https://github.com/cloudflare/python-cloudflare/releases/download/v?[\d.]+/@ANY_VERSION@@ARCHIVE_EXT@
