=== requirements.txt ===
requests>=2.4.2
pyyaml
jsonlines
pytest
pytest-cov
