=== debian/changelog ===
python-cloudflare (2.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * d/patches: Update 0001-stop-build-of-cli.patch and
    0002-use-python3-interpreter.patch patches according to new upstream
    release source.
  * d/patches/avoid_syntax_warning_in_regex.patch: Remove patch, it was
    already fix by upstream.
  * d/control: Add python3-tz and python3-pytest as Build-Dependency.
  * d/tests/control: Update tests running according to new upstream release.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 08 Aug 2024 19:29:04 -0300
