=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,8 @@
 Test-Command: python3 -c 'import CloudFlare; print(CloudFlare)'
 Restrictions: superficial
 Features: test-name=smoke
+
+Test-Command: python3 -m pytest ./CloudFlare/tests/test_api_dump.py ./CloudFlare/tests/test_certificates.py ./CloudFlare/tests/test_cloudflare.py ./CloudFlare/tests/test_cloudflare_calls.py ./CloudFlare/tests/test_find.py ./CloudFlare/tests/test_ips.py -k 'not test_find_zone and not test_api_from_openapi'
+Depends: python3-pytest, @
+Restrictions: needs-internet
+Features: test-name=tests
